"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _inquirer = _interopRequireDefault(require("inquirer"));

var _config = require("./config");

const pkg = require("../package.json");

var _default = async () => {
  console.log(_chalk.default.green("tfes-cli(ver:" + pkg.version + ")"));
  console.log(); // 控制台交互

  const result = await _inquirer.default.prompt([{
    name: "menu",
    type: "list",
    message: "功能列表：",
    pageSize: 40,
    default: _config.menus[0].key,
    choices: _config.menus.map(meta => {
      return {
        value: meta.key,
        short: meta.title,
        name: ["功能：" + meta.title, "  描述：" + (Array.isArray(meta.desc) ? meta.desc.join("\n") : meta.desc || "无"), ""].join("\n")
      };
    })
  }]);

  const menu = _config.menus.find(item => item.key === result.menu);

  if (!menu) {
    console.log("功能不存在！");
    return;
  }

  await menu.handler();
};

exports.default = _default;