"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _lodash = require("lodash");

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _readdirp = _interopRequireDefault(require("readdirp"));

var _package = _interopRequireDefault(require("../../package.json"));

// import child_process from "child_process";
var _default = async templatePath => {
  const cwd = process.cwd();
  const files = await _readdirp.default.promise(templatePath); // 复制本地模板

  files.forEach(entry => {
    let relationPath = entry.path;
    const file = entry.fullPath;

    if (/dist|node_modules|DS_Store|docs|package\-lock\.json/.test(file)) {
      return;
    }

    if (relationPath === "package.json") return;

    const stats = _fsExtra.default.statSync(file);

    if (stats.isDirectory()) {
      return;
    }

    let content = _fsExtra.default.readFileSync(file).toString();

    _fsExtra.default.outputFileSync(`${cwd}/${relationPath}`, content);
  });
  let pkgCfg = {};

  if (_fsExtra.default.existsSync(`${cwd}/package.json`)) {
    pkgCfg = Object.assign({}, pkgCfg, require(`${cwd}/package.json`));
  } // 合并package.json


  const tmpPkg = require(templatePath + "/package.json");

  _fsExtra.default.outputFileSync(`${cwd}/package.json`, JSON.stringify((0, _lodash.defaultsDeep)(pkgCfg, tmpPkg, {
    __createdBy: `tfes-cli(${_package.default.version})`
  }), null, 2));

  console.log();
  console.log(_chalk.default.green("初始化完成")); // console.log();
  // console.log(`开始安装依赖...`);
  // child_process.execSync("npm install");
  // console.log();
  // console.log(`安装完成!`);
};

exports.default = _default;